Language
Cette page n'est pas disponible en français. La version anglaise est affichée.
Get languages by project type
Returns languages list by project type id (based on product.languages).
Authorization
BearerAuthObject AuthorizationBearer <token>
Machine tokens only: a personal API token or a product robot token (POST /api/v2/products/{uid}/robot-tokens). A session JWT here is 401 — the web app uses the b2t_access cookie.
In: header
Path Parameters
id*integer
Project type id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/languages/by-project-type/1"{ "languages": [ { "id": 1, "name": "English", "lang": "en", "langBcp": "en-US", "dir": "ltr", "pluralForms": { "cardinal": [ "string" ], "ordinal": [ "string" ] } } ]}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Page not found" }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}